package datamodel;

import javax.swing.JOptionPane;

public class ReplicationLimitExceededException extends Exception {

	static final long serialVersionUID=1;
	
	private String name;
	private int factor;
	
	public ReplicationLimitExceededException(String name, int factor){
		this.name=name;
		this.factor=factor;
	}
	
	public String getMessage(){
		return name+" cannot be replicated as much as "+factor;
	}
	public String toString(){
		return getMessage();
	}
	
	public void errorMessage() {
		JOptionPane.showMessageDialog(null, getMessage(), "Replication error", JOptionPane.ERROR_MESSAGE);
	}
}
