package gui;

import gui.setup.RequirementPanel;
import gui.setup.SystemSetupPanel;

import java.awt.BorderLayout;

import javax.swing.JFrame;
import javax.swing.JPanel;

import datamodel.SubSystem;
import datamodel.System;


public class SAMeWindow extends JFrame{
		
	public SAMeWindow() {
		super("SAMe Beta Prototype");
		
		getContentPane().setLayout(new BorderLayout());
		/*
		getContentPane().add(new RequirementPanel(this), BorderLayout.CENTER);
				*/
		System system=new System();
		SubSystem rootSS=new SubSystem("System", null);
		system.setRootNode(rootSS);
		getContentPane().add(new SystemSetupPanel(this, system), BorderLayout.CENTER);
		
		
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		pack();		
		setVisible(true);
		
	}
	
}
