package simulator;

import desmoj.core.simulator.ExternalEvent;
import desmoj.core.simulator.Model;

public class Source extends ExternalEvent {

  private SimulatorModel simsamModel;

  public Source(Model owner, String name, boolean showInReport) {
    super(owner, name, showInReport);
    simsamModel = (SimulatorModel) owner;
  }

  public void eventRoutine() {
    User newUser = new User(simsamModel, "User", true);
    newUser.activateAfter(this);
  }
}

