package datamodel;

import javax.swing.JOptionPane;

import computations.Tuner;

public class UpgradeLimitExceededException extends Exception {
	
	static final long serialVersionUID=1;
	
	private String name;
	private double factor;
	private String dimension;
	
	public UpgradeLimitExceededException(String name, double factor, int dimension){
		this.name=name;
		this.factor=factor;
		this.dimension=Tuner.dimensionList[dimension];
	}
	
	public String getMessage(){
		return name+" cannot be upgraded as much as "+factor+" in "+dimension;
	}
	public String toString(){
		return getMessage();
	}

	public void errorMessage() {
		JOptionPane.showMessageDialog(null, getMessage(), "Upgrade error", JOptionPane.ERROR_MESSAGE);
	}
}
