package gui.tune;

import java.awt.Dimension;
import java.awt.GridLayout;

import javax.swing.BorderFactory;
import javax.swing.Box;
import javax.swing.JButton;
import javax.swing.JPanel;

public class TuneButtonPanel extends JPanel{
	
	private JButton upgradeButton;
	private JButton replicateButton;

	public TuneButtonPanel() {
		super();
		upgradeButton=new JButton("Upgrade");		
		replicateButton=new JButton("Replicate");		
		setLayout(new GridLayout(5,0));
		add(Box.createRigidArea(new Dimension(0,20)));
		add(upgradeButton);
		add(Box.createRigidArea(new Dimension(0,20)));
		add(replicateButton);
		add(Box.createRigidArea(new Dimension(0,20)));
		setMaximumSize(new Dimension(250, 250));
		setMinimumSize(new Dimension(150, 150));
		setBorder(BorderFactory.createTitledBorder("Tune"));
	}

	protected JButton getReplicateButton() {
		return replicateButton;
	}

	protected JButton getUpgradeButton() {
		return upgradeButton;
	}

}
